net.corda.core.node.services

## Class PartyInfo.Node

- PartyInfo
- - net.corda.core.node.services.PartyInfo.Node

- Enclosing class:
    PartyInfo

      public static class PartyInfo.Node
      extends PartyInfo

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.node.services.PartyInfo

      `PartyInfo.Node, PartyInfo.Service`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(NodeInfo node)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeInfo` | `getNode()`
    `Party` | `getParty()`

    - ### Methods inherited from class net.corda.core.node.services.PartyInfo

      `getParty`

- - ### Constructor Detail

    - #### Node

          public Node(NodeInfo node)

  - ### Method Detail

    - #### getParty

          public Party getParty()

    - #### getNode

          public NodeInfo getNode()